html,
body {
    margin: 0;
    padding: 0;
    font-family: "Lexend", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
    overflow-x: clip;
}

body {
    position: relative;
}

:root {
    --black-bg: rgba(0, 0, 0, 0.734);
    --veryBlack-bg: rgba(0, 0, 0, 0.865);
    --white-bg: rgba(255, 255, 255, 0.562);
}

h1 {
    margin: 2rem;
    padding: 0;
    text-align: center;
}

h2 {
    position: relative;
}


p {
    padding: 0 1rem;
    text-align: justify;
}

ul {
    padding: 0;
    margin: 0;
}

a {
    text-decoration: none;
    position: relative;
}

.lien-logo {
    color: white;
}

.nav-desktop li a {
    color: white;
}

header {
    margin: 0;
    height: 5rem;
    display: flex;
    box-sizing: border-box;
    background-color: rgba(0, 0, 0, 0.562);
    position: fixed;
    top: 0;
    width: 100%;
    align-items: center;
    justify-content: center;
    z-index: 12;
}

li {
    text-decoration: none;
    list-style: none;
    outline: none;
}

nav div {
    width: 90vw;
    display: flex;
    justify-content: space-between;
}

nav div img {
    height: 35px;
}

nav ul {
    margin: 0;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5vw;
}

nav a {
    font-size: 1rem;
}

nav {
    align-items: center;
    justify-items: center;
}


.bt-volet {
    content: url("../images/b-menu-blanc.svg");
    height: 2rem;
    width: 2rem;
}

.bt-volet.noire {
    content: url("../images/b-menu-noire.svg");
}

.volet {
    margin: 0;
    padding: 0;
    position: fixed;
    width: 100vw;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: white;
    gap: 5rem;
    font-size: 1.4rem;
    top: -100vh;
    transition: 0.3s;
    font-weight: bold;
    z-index: 10;
}

.volet li a {
    color: black;
}

section {
    margin: 0;
    padding: 0;
    min-height: 80dvh;
    display: flex;
    align-items: center;
    flex-direction: column;
}

section a {
    color: white;
    background-color: var(--black-bg);
    padding: 0.625rem;
    border-radius: 1.25rem;
}

.haut-page {
    min-height: 100dvh;
    background-color: rgb(0, 0, 0);
    color: white;
    align-items: center;
    justify-content: center;
    position: relative;
}

/*index*/

.presentation {
    padding-top: 5rem;
    justify-content: center;
    position: relative;
}

.presentation div {
    flex-direction: column;
    gap: 1rem;
    margin: 0 1rem;
    display: flex;
    position: relative;
    align-items: center;
}

.presentation div a {
    display: flex;
    align-items: center;
    position: absolute;
    right: 2.5rem;
    bottom: -1.875rem;
    gap: 0.5rem;
}

.presentation a::after {
    content: url("../images/fleche-blanc.svg");
    width: 1rem;
    height: 1rem;
}

.projets {
    padding-top: 7rem;
    width: 100%;
    display: flex;
    position: relative;
    justify-content: flex-end;
}

.projets h2 {
    padding-left: 2rem;
    width: 100%;
    text-align: left;
}

.projets a {
    display: flex;
    align-items: center;
    position: absolute;
    right: 2.5rem;
    bottom: 1rem;
    gap: 0.5rem;
}

.projets a::after {
    content: url("../images/fleche-blanc.svg");
    width: 1rem;
    height: 1rem;
}

/*page projet*/
.cache {
    display: none !important;
}

.overlay {
    box-sizing: border-box;
    padding: 5rem 0 1rem 0;
    z-index: 3;
    position: fixed;
    left: 0;
    top: 0;
    overflow-y: auto;
    height: 100vh;
    width: 100vw;
    color: white;
    background-color: var(--veryBlack-bg);
    cursor: pointer;
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.overlay div {
    text-align: center;
    display: flex;
    align-items: center;
}

.overlay div div {
    display: flex;
    flex-direction: column;
}


.overlay img {
    max-width: 100vw;
    max-height: 80vh;
}

.overlay p a {
    background-color: rgba(0, 0, 0, 0);
    padding: 0;
    text-decoration: underline;
}

.img-1 {
    object-fit: cover;
}

.img-2,
.img-3 {
    object-fit: cover;
    height: 40vh;
}

.list-filter {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1rem;
    margin: 2rem 0rem;
    padding: 0;
}

.btn-filter {
    z-index: 2;
    background-color: var(--black-bg);
    padding: 0.5rem 1rem;
    color: white;
    border-radius: 10px;
    cursor: pointer;
}

.projet-list {
    display: grid;
    gap: 1rem;
    grid-template-columns: repeat(1, 1fr);
    padding: 0 1rem 2.5rem 1rem;
}

.projet-item {
    background-color: var(--white-bg);
    border: black solid 1px;
    align-items: center;
    cursor: pointer;
}

.projet-item img {
    width: 100%;
    border-radius: 0px;
    aspect-ratio: 4/3;
    object-fit: cover;
}

.projet-item ul {
    display: flex;
    margin: 0.5rem 1rem;
    justify-content: space-between;
}

/*presentation*/

.logiciels {
    justify-content: center;
    min-height: fit-content;
    margin: 2rem 0;
    position: relative;
}

.icones {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    margin: 2rem 1rem;
}

.icones li img {
    max-width: 20vw;
    border-radius: 20px;
}

.inspiration {
    min-height: fit-content;
}

.inspiration h3 {
    font-size: 1.5rem;
}

.inspiration p {
    font-size: 1rem;
}

.inspis {
    display: flex;
    flex-wrap: wrap;
    margin: 1rem;
    row-gap: 2rem;
    column-gap: 1rem;
}

.inspi {
    background-color: var(--white-bg);
    justify-items: center;
    border: 1px solid black;
}

.inspi img {
    width: 100%;
    aspect-ratio: 4/3;
}

.inspi h3 {
    margin: 0.5rem;
}

.inspi p {
    margin: 0 0 1rem 0;
}

.index-img {
    border-radius: 10px;
    width: 40vw;
    max-height: 60vh;
    object-fit: cover;
}

picture img {
    border-radius: 0;
    height: 70vh;
    object-fit: cover;
    object-position: center;
}

img,
textarea,
input,
picture {
    max-width: 100%;
}

fieldset {
    width: 70vw;
    border: none;
    display: grid;
    grid-gap: 1rem;
}

fieldset div {
    display: flex;
    flex-direction: column;
}

input,
textarea {
    background-color: var(--white-bg);
    font-family: "Lexend", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
    border: 2px solid black;
}

.contact {
    z-index: 6;
    justify-content: center;
    position: relative;
    min-height: calc(100vh - 4rem);
}

textarea {
    resize: none;
    overflow: hidden;
}

.submit {
    display: flex;
    justify-items: center;
    color: white;
    background-color: var(--black-bg);
    padding: 0.625rem;
    border-radius: 1.25rem;
    border: none;
}

footer {
    margin: 0;
    padding: 0;
    height: 4rem;
    display: flex;
    background-color: var(--black-bg);
    justify-content: center;
    color: white;
    position: relative;
    overflow: visible;
}

@media (max-width: 480px) {

    
    .f-projets::after {
        z-index: 1;
        position: absolute;
        width: 50vw;
        height: 15vw;
        right: 0;
        bottom: 0;
        background-image: url(../images/vecteurs/projets-bas-1.webp);
        background-size: 100% 100%;
        background-repeat: no-repeat;
        content: "";
    }
    /* version telephone */
    nav ul {
        display: none;
    }

    /*vecteurs*/
    .haut-page::after {
        width: 130vw;
        position: absolute;
        content: url("../images/vecteurs-portable/hp-bas-droite.svg");
        bottom: -9rem;
        left: -4rem;
    }

    .haut-page::before {
        width: 50vw;
        position: absolute;
        content: url("../images/vecteurs-portable/hp-haut-gauche.svg");
        top: -5rem;
        left: -8rem;
    }

    .presentation div a::after {
        z-index: -1;
        width: 200vw;
        position: absolute;
        content: url("../images/vecteurs-portable/p-bas.svg");
        right: -5rem;
        top: -3rem;
    }

    .projets::after {
        z-index: -1;
        width: 250vw;
        position: absolute;
        content: url("../images/vecteurs-portable/projet.svg");
        top: 5rem;
        right: -10rem;
    }

    .f-index::before {
        z-index: 3;
        position: absolute;
        bottom: 0;
        left: -6rem;
        width: 50vw;
        height: 45rem;
        background-image: url("../images/vecteurs/bas-gauche.webp");
        background-size: contain;
        background-repeat: no-repeat;
        background-position: bottom left;
        content: "";
    }

    .f-index::after {
        z-index: 3;
        position: absolute;
        bottom: 0;
        right: -9rem;
        width: 70vw;
        height: 40rem;
        background-image: url("../images/vecteurs/bas-droite.webp");
        background-size: contain;
        background-repeat: no-repeat;
        background-position: bottom right;
        content: "";
    }

    .logiciels::before {
        z-index: -1;
        width: 180vw;
        left: -5rem;
        position: absolute;
        content: url(../images/vecteurs/logiciels.svg);
    }

    /*page projet*/
    
    footer::before{
        z-index: -1;
        position: absolute;
        width: 150vw;
        height: 60vw;
        left: -5rem;
        bottom: 0;
        background-image: url(../images/vecteurs/projets-bas-2.webp);
        background-size: 100% 100%;
        background-repeat: no-repeat;
        content: "";
    }
    
    footer::after {
        z-index: 1;
        position: absolute;
        width: 100vw;
        height: 30vw;
        right: -10rem;
        bottom: 0;
        background-image: url(../images/vecteurs/projets-bas-1.webp);
        background-size: 100% 100%;
        background-repeat: no-repeat;
        content: "";
    }

}

@media (min-width: 480px) and (max-width: 1024px) {

    /*version tablette*/

    .list-filter {
        grid-template-columns: repeat(3, 1fr);
    }

    .projet-list {
        grid-template-columns: repeat(2, 1fr);
    }

    /*page projets*/

    /*vecteur*/

    .projets::after {
        z-index: -1;
        width: 160vw;
        position: absolute;
        content: url("../images/vecteurs-portable/projet.svg");
        top: 10rem;
        left: -25rem;
    }

    .projets h2::after {
        z-index: -1;
        width: 120vw;
        position: absolute;
        content: url("../images/vecteurs-portable/p-bas.svg");
        bottom: -5rem;
        left: -5rem;
    }

    .logiciels::before {
        z-index: -1;
        width: 150vw;
        left: -9rem;
        position: absolute;
        content: url(../images/vecteurs/logiciels.svg);
    }

}

@media (min-width: 480px) {

    /* version tablette et pc */
    html {
        scroll-behavior: smooth;
    }

    .presentation div {
        gap: 2rem;
        margin: 0 3rem;
    }

    nav div {
        display: none;
    }

    .volet {
        display: none;
    }

    .projet-img {
        height: 80vh;
    }

    /*page projet*/

    .img-2,
    .img-3 {
        height: 80vh;
    }

    /*page presentation*/

    .inspis {
        flex-wrap: nowrap;
    }

    .icones li img {
        max-width: 10vw;
    }


    /*vecteurs*/
    .f-index::before {
        z-index: 3;
        position: absolute;
        bottom: 0;
        left: -8.5rem;
        width: 35vw;
        height: 45rem;
        background-image: url("../images/vecteurs/bas-gauche.webp");
        background-size: contain;
        background-repeat: no-repeat;
        background-position: bottom left;
        content: "";
    }

    .f-index::after {
        z-index: 3;
        position: absolute;
        bottom: 0;
        right: 0;
        width: 45vw;
        height: 40rem;
        background-image: url("../images/vecteurs/bas-droite.webp");
        background-size: contain;
        background-repeat: no-repeat;
        background-position: bottom right;
        content: "";
    }

}

@media (min-width: 1024px) {

    /* version pc */
    .presentation div {
        flex-direction: row;
    }

    .index-img {
        height: 60vh;
        width: auto;
    }

    p {
        font-size: 1.6em;
    }

    h2 {
        font-size: 2em;
    }

    footer {
        height: 6rem;
    }

    .contact {
        justify-content: center;
    }

    .message {
        grid-area: 1/2/4/3;
        display: flex;
        flex-direction: column;
    }

    .message textarea {
        flex: 1;
        height: 100%;
    }

    .soumettre {
        grid-area: 4 / 1 / 5 / 3;
        display: flex;
        align-items: center;
    }

    .submit {
        padding: 0.5rem 6rem;
    }

    fieldset {
        grid-template-columns: repeat(2, 1fr);
    }

    /*page projet*/

    .list-filter {
        grid-template-columns: repeat(4, 1fr);
    }

    .projet-list {
        grid-template-columns: repeat(3, 1fr);
    }

    .overlay {
        padding: 5rem 4rem 1rem;
    }

    /*vecteurs*/
    .haut-page::after {
        width: 30vw;
        position: absolute;
        content: url("../images/vecteurs/hp-droite.svg");
        bottom: -5rem;
        right: -2rem;
    }

    .presentation::before {
        width: 110vw;
        position: absolute;
        content: url("../images/vecteurs/p-haut.svg");
        top: -9rem;
        left: -5rem;
    }

    .projets h2::before {
        z-index: -1;
        width: 110vw;
        position: absolute;
        content: url("../images/vecteurs/p-bas.svg");
        top: -19rem;
        left: -5rem;
    }

    .projets::after {
        z-index: -1;
        width: 120vw;
        position: absolute;
        content: url("../images/vecteurs/projet.svg");
        top: 5rem;
    }

    .f-index::before {
        z-index: 3;
        position: absolute;
        bottom: 0;
        left: -15rem;
        width: 40vw;
        height: 50rem;
        background-image: url("../images/vecteurs/bas-gauche.webp");
        background-size: contain;
        background-repeat: no-repeat;
        background-position: bottom left;
        content: "";
    }

    .f-index::after {
        z-index: 3;
        position: absolute;
        bottom: 0;
        right: -5rem;
        width: 40vw;
        height: 30rem;
        background-image: url("../images/vecteurs/bas-droite.webp");
        background-size: contain;
        background-repeat: no-repeat;
        background-position: bottom right;
        content: "";
    }

    /*page présentation*/
    .logiciels::before {
        z-index: -1;
        width: 140vw;
        left: -9rem;
        position: absolute;
        content: url(../images/vecteurs/logiciels.svg);
    }

    /*page projets*/

    .f-projets::before {
        z-index: -1;
        position: absolute;
        width: 100vw;
        height: 30vw;
        left: 0;
        bottom: 0;
        background-image: url(../images/vecteurs/projets-bas-2.webp);
        background-size: 100% 100%;
        background-repeat: no-repeat;
        content: "";
    }
    
    .f-projets::after {
        z-index: 1;
        position: absolute;
        width: 50vw;
        height: 15vw;
        right: 0;
        bottom: 0;
        background-image: url(../images/vecteurs/projets-bas-1.webp);
        background-size: 100% 100%;
        background-repeat: no-repeat;
        content: "";
    }
}